IEC62056

IEC62056

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver implements the protocol C of the IEC 62056-21 specification, but only for reading.

Only values with address information will be represented.

Other topics in this chapter

IEC62056 - Data sheet

Driver history

Requirements

Configuration

Creating variables

Driver commands

Error analysis


IEC62056 - Data sheet

IEC62056 -> IEC62056 - Data sheet

General: |
Driver file name | IEC62056.exe
Driver name | IEC-62056-21 Driver
PLC types | IEC 62056-21 or IEC 61107 compatible enrgy meter
PLC manufacturer | Siemens; IEC;

Driver supports: |
Protocol | IEC 62056-21; IEC 61107;
Addressing: Address-based | --
Addressing: Name-based | X
Spontaneous communication | --
Polling communication | X
Online browsing | --
Offline browsing | --
Real-time capable | --
Blockwrite | --
Modem capable | --
Serial logging | --
RDA numerical | --
RDA String | --
Hysteresis | --
extended API | --
Supports status bit WR-SUC | --
alternative IP address | --

Requirements: |
Hardware PC | Standard network card or RS232 serial interface
Software PC | --
Hardware PLC | --
Software PLC | --
Requires v-dll | X

Platforms: |
Operating systems | Windows 7, 8, 8.1, 10, Server 2008R2, Server 2012, Server 2012R2, Server 2016;
CE platforms | -;


Driver history

IEC62056 -> Driver history

Date | Driver version | Change
8/20/2008 | 200 | Created driver documentation
12/15/2016 | 33765 | Timeout and repetition for devices can be configured.

Driver versioning

The versioning of the drivers was changed with zenon 7.10. There is a cross-version build number as of this version. This is the number in the 4th position of the file version,
For example: 7.10.0.4228 means: The driver is for version 7.10 service pack 0, and has the build number 4228.

Expansions or error rectifications will be incorporated into a build in the future and are then available from the next consecutive build number.

Example Example

A driver extension was implemented in build 4228. The driver that you are using is build number 8322. Because the build number of your driver is higher than the build number of the extension, the extension is included. The version number of the driver (the first three digits of the file version) do not have any significance in relation to this. The drivers are version-agnostic


Requirements

IEC62056 -> Requirements

This chapter contains information on the requirements that are necessary for use of this driver.

Other topics in this chapter

PC

PLC


PC

IEC62056 -> Requirements -> PC

  • For communication via TCP/IP:

    A standard network card in the PC is required for communication.

  • For serial communication:

    A serial interface at the PC is required. Alternatively, you can also use a COM port server or a USB/serial converter.


PLC

IEC62056 -> Requirements -> PLC

The counter can be used with:

  • Optical interface:
    Tested with RS232/TVS9 Landis & Gyr FDC 1.3 converter.
  • Serial interface module:
    Tested with MOXA UPort 1150 converter of RS232 (2 wires) to USB and a Köhler AEL.TF.09 energy counter.
  • Ethernet communication:
    Tested with the CU-E20 Ethernet module by Landis & Gyr.

Settings for serial connection for MOXA UPort 1150 and Köhler AEL.TF.09

Settings for the COM connection in the zenon driver:

  • Com: COM 2
  • Data bit: 7
  • Stop bit: 1
  • Baud rate: 300
  • Parity: Even
  • Protocol: RTS/CTS

Settings in the zenon driver:

  • Delay before baud-rate switch: 200 ms

Settings in the Moxa UPort 1150 converter:

  • Port: 1
  • COM No.: COM2
  • Fast Flush: Disable
  • Interface: RS-485 2W


Configuration

IEC62056 -> Configuration

In this chapter you will learn how to use the driver in a project and which settings you can change.

info Information

Find out more about further settings for zenon variables in the chapter Variables of the online manual.

Other topics in this chapter

Creating a driver

Settings in the driver dialog

Communication


Creating a driver

IEC62056 -> Configuration -> Creating a driver

In the Create driver dialog, you create a list of the new drivers that you want to create.

Parameter | Description
Available drivers | List of all available drivers. The display is in a tree structure: [+] expands the folder structure and shows the drivers contained therein. [-] reduces the folder structure Default: no selection
Driver name | Unique Identification of the driver. Default: Empty The input field is pre-filled with the pre-defined Identification after selecting a driver from the list of available drivers.
Driver information | Further information on the selected driver. Default: Empty The information on the selected driver is shown in this area after selecting a driver.

Close dialog

Option | Description
OK | Accepts all settings and opens the driver configuration dialog of the selected driver.
Cancel | Discards all changes and closes the dialog.
Help | Opens online help.

info Information

The content of this dialog is saved in the file called Treiber_[Language].xml. You can find this file in the following folder: C:\ProgramData\COPA-DATA\zenon[version number].

Create new driver

In order to create a new driver:

  1. Right-click on Driver in the Project Manager and select New driver in the context menu.
    Optional: Select the New driver button from the toolbar of the detail view of the Variables.
    The Create driver dialog is opened.
  2. The dialog offers a list of all available drivers.

  3. Select the desired driver and name it in the Driver name input field.
    This input field corresponds to the Identification property. The name of the selected driver is automatically inserted into this input field by default.
    The following is applicable for the Driver name:
    • The Driver name must be unique.
      If a driver is used more than once in a project, a new name has to be given each time.
      This is evaluated by clicking on the OK button. If the driver is already present in the project, this is shown with a warning dialog.
    • The Driver name is part of the file name.
      Therefore it may only contain characters which are supported by the operating system. Invalid characters are replaced by an underscore (_).
    • Attention: This name cannot be changed later on.
  4. Confirm the dialog by clicking on the OK button.
    The configuration dialog for the selected driver is opened.

Note: The language of driver names cannot be switched. They are always shown in the language in which they have been created, regardless of the language of the Editor. This also applies to driver object types.

Driver name dialog already exists

If there is already a driver in the project, this is shown in a dialog. The warning dialog is closed by clicking on the OK button. The driver can be named correctly.

<CD_PRODUCNTAME> project

The following drivers are created automatically for newly-created projects:

  • Intern
  • MathDr32
  • SysDrv

info Information

Only the required drivers need to be present in a zenon project. Drivers can be added at a later time if required.


Settings in the driver dialog

IEC62056 -> Configuration -> Settings in the driver dialog

You can change the following settings of the driver:

Other topics in this chapter

General

Com

Settings


General

IEC62056 -> Configuration -> Settings in the driver dialog -> General

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration dialog is opened when a driver is created. In order to be able to open the dialog later for editing, double click on the driver in the list or click on the Configuration property.

Option

Description

Mode

Allows to switch between hardware mode and simulation mode

  • Hardware:
    A connection to the control is established.
  • Simulation - static:
    No communication between to the control is established, the values are simulated by the driver. In this modus the values remain constant or the variables keep the values which were set by zenon Logic. Each variable has its own memory area. E.g. two variables of the type marker with offset 79 can have different values in the Runtime and do not influence each other. Exception: The simulator driver.
  • Simulation - counting:
    No communication between to the control is established, the values are simulated by the driver. In this modus the driver increments the values within a value range automatically.
  • Simulation - programmed:
    No communication is established to the PLC. The values are calculated by a freely programmable simulation project. The simulation project is created with the help of the zenon Logic Workbench and runs in a zenon Logic Runtime which is integrated in the driver. For details see chapter Driver simulation.

Keep update list in the memory

Variables which were requested once are still requested from the control even if they are currently not needed.
This has the advantage that e.g. multiple screen switches after the screen was opened for the first time are executed faster because the variables need not be requested again. The disadvantage is a higher load for the communication to the control.

Output can be written

Active: Outputs can be written.

Inactive: Writing of outputs is prevented.

Note: Not available for every driver.

Variable image remanent

This option saves and restores the current value, time stamp and the states of a data point.

Fundamental requirement: The variable must have a valid value and time stamp.

The variable image is saved in mode hardware if:

  • one of the states S_MERKER_1(0) up to S_MERKER8(7), REVISION(9), AUS(20) or ERSATZWERT(27) is active

The variable image is always saved if:

  • the variable is of the driver object type Communication details
  • the driver runs in simulation mode. (not programmed simulation)

The following states are not restored at the start of the Runtime:

  • SELECT(8)
  • WR-ACK(40)
  • WR-SUC(41)

The mode Simulation - programmed at the driver start is not a criterion in order to restore the remanent variable image.

Stop on Standby Server

Setting for redundancy at drivers which allow only one communication connection. For this the driver is stopped at the Standby Server and only started at the upgrade.

Attention: If this option is active, the gapless archiving is no longer guaranteed.

Active: Sets the driver at the not-process-leading Server automatically in a stop-like state. In contrast to stopping via driver command, the variable does not receive status switched off but an empty value. This prevents that at the upgrade to the Server irrelevant values are created in the AML, CEL and Historian.

Note: Not available if the CE terminal serves as a data server. You can find further information in the zenon Operator manual in the CE terminal as a data server chapter.

Global Update time

Active: The set Global update time in ms is used for all variables in the project. The priority set at the variables is not used.
Inactive: The set priorities are used for the individual variables.

Priority

The polling times for the individual priority classes are set here. All variables with the according priority are polled in the set time.

The variables are allocated separately in the settings of the variable properties.
The communication of the individual variables can be graded according to importance or required topicality using the priority classes. Thus the communication load is distributed better.

Attention: Priority classes are not supported by each driver For example, drivers that communicate spontaneously do not support it.

Close dialog

Options | Description
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.
Help | Opens online help.

Update time for cyclical drivers

The following applies for cyclical drivers:

For Set value, advising of variables and Requests, a read cycle is immediately triggered for all drivers - regardless of the set update time. This ensures that the value is immediately available for visualization after writing. Update times can therefore be shorter than pre-set for cyclical drivers.


Com

IEC62056 -> Configuration -> Settings in the driver dialog -> Com

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you configure the connection parameters for the serial communication to the PLC.

attention Attention

Please note the interface parameters defined in accordance with the IEC62056 standard:

  • Baudrate:
    300
  • Datenbit:
    7
  • Stopbit:
    1
  • Parität:
    Even
  • Protokoll:
    NO

These standard-compliant parameters are not the driver's default parameters!

COM (Default setting)

Parameter

Description

Com

Selection of the serial interface (com port) on the computer.
Select from drop-down list:
COM 1 to COM 256

Default: 1

Baud rate

Selection of the Baud rate for the communication to the PLC.
The Baud rate must be amended to the controller.
Selection from drop-down list:
110 to 256000

Default: 9600

Data bit

Number of data bits (data word length in bits) for communication to the PLC.
The data bit rate must be amended to the controller.
Select from drop-down list:
5, 6, 7, 8

Default: 8

Stop bit

Selection of the stop bit for communication to the PLC.
The stop bit must be amended to the controller.

Select from drop-down list:

  • 1
  • 1.5
  • 2

Default: 1

Parity

Selection of the parity for the communication to the PLC.
The parity must be amended to the controller. Amend to PLC.
Select from drop-down list:

  • No
  • Odd
  • Even

Default: No

Protocol

Selection of the protocol for communication to the PLC.
The protocol must be amended to the controller.
Select from drop-down list:

  • No
  • Xon/Xoff
  • Rts/CTS
  • DTR/DSR

Default: No

Close dialog

Options | Description
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.
Help | Opens online help.


Settings

IEC62056 -> Configuration -> Settings in the driver dialog -> Settings

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver support both serial communication and communication via TCP/IP. Only one of the two communication types can be used per device.

Note: This dialog is only available in English.

The buttons are displayed in the system language of the computer.

Devices

List of configured stations.

The column width can be set by clicking on the column divider with the mouse button held down.

Buttons - manage stations

Buttons for the processing, new creation or deletion of settings for the connections to stations.

Parameter | Description
New... | Opens the New Station dialog to add and configure a station.
Edit... | Opens the New Station for changes to the configuration of the selected station.
Delete | Deletes the selected station. Note: Deletion is only carried out after confirmation in a confirmation dialog.

Communication details

Parameter

Description

Enable TCP/IP Connections

Checkbox to activate TCP/IP communication.

  • activated:
    The driver communicates via TCP/IP.
  • Not activated:
    The driver communicates with the PLC by means of a serial interface.
    Note: As a result, not all parameters in the configuration dialog of a station are active.

Default: Inactive

Read single registers

Checkbox to activate the reading of individual registers.

  • Not activated:
    Driver reads the complete Table 1 from the counter.
  • activated:
    Driver switches to programming mode and reads each variable individually. The corresponding IEC 62056 address of the variable must be configured beforehand.

Default: Inactive

Note: Not every counter supports the use of single registers. You can find information on this in the documentation of the Oracle client used.

Delay before baud-rate switch (ms)

Delay before switching the configured baud rate.

Default: 0 ms

Tested values:

  • EMH counter with Variomod XC converter: 0 ms
  • Köhler AEL.TF.09 with MOXA UPort 1150 converter: 200 ms

Initial baud-rate

Initial Baud rate that is used when a connection is initialized.

Default: 300 ms

Close dialog

Options | Description
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.
Help | Opens online help.

Confirmation dialog on deletion

Parameter | Description
Yes | Confirms the deletion of the selected station. The station is deleted and the confirmation dialog is closed after clicking on Yes.
No | Cancels deletion and closes the confirmation dialog.

Other topics in this chapter

New Station


New Station

IEC62056 -> Configuration -> Settings in the driver dialog -> Settings -> New Station

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog of a station.

Note: This dialog is only available in English.

Parameter | Description
Net address | You can choose any number for allocating variables to the station in the driver. The number is unique for each driver. If the address has already been configured, this is shown with a warning dialog. Note: When configuring a variable, this address is to be used in the Net address. Range: 0-255 Default: 1 The net address is not automatically counted further when a new station is created.
Device address | Address of the station Default: empty Note: not active if Enable TCP/IP connections is activated.
IP address | IP address of the station. Default: 0.0.0.0 Note: Incorrect entries are automatically corrected to the value 255. Note: not active for TCP/IP connections (activated option: Enable TCP/IP connections).
IP port | IP port that is used for communication to the station. Default: 0 Note: not active for TCP/IP connections (activated option: Enable TCP/IP connections).
Password | Input field for optional password for login to the PLC. The password is only required if the PLC needs one for login. Default: empty
Timeout | Waiting time in milliseconds before a communication error occurs. Default: 5000
Retries | Request retries in the event of a communication problem. Default: 5 Note: in the event of an error (communication timeout and repetitions fail) the driver gets the status "invalid". No further data is received from the driver.

Close dialog

Parameter | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Warning dialog: Net address already exists

Note: This dialog is only available in English.

The buttons are displayed in the system language of the computer.

Parameter | Description
Yes | The current configuration overwrites the existing configuration for the station.
No | Discards all changes and closes the dialog.


Communication

IEC62056 -> Configuration -> Communication

The following is applicable for communication to the PLC:

  • The IEC62056 driver communicates in Mode C "programming mode".
    It can therefore address all data points in the counter of the station. Any access password that may be necessary for this must be configured in the driver configuration for each counter.
  • The variable name can be configured via a driver specific property. If this property is empty, the variable identification is used as the variable name.
  • The time stamp can also be rounded up or down to the value of a start or end of an adjustable interval using two driver-specific properties.
    variable property group Addressing:
    • IEC62056 Time Adjustment
    • IEC62056 Time Interval
  • To set the time to C003 by means of R2 command, the Clock Sync (BOOL) driver object type is used.
    • Writing to this variable sends the command to the counter with the current time stamp.
    • Variables in this area are write-only; they do not contain an actual value.
    • This net address is used to reference the counter or router to which the command is sent. (some routers offer this C003 area globally; the time is then forwarded to all counters connected to the router --> See router manual)


Creating variables

IEC62056 -> Creating variables

This is how you can create variables in the zenon Editor:

Other topics in this chapter

Creating variables in the Editor

Addressing

Driver objects and datatypes


Creating variables in the Editor

IEC62056 -> Creating variables -> Creating variables in the Editor

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables can be created:

  • as simple variables
  • in arrays
  • as structure variables

Variable dialog

To create a new variable, regardless of which type:

  1. Select the New variable command in the Variables node in the context menu

    The dialog for configuring variables is opened

  2. Configure the variable
  3. The settings that are possible depends on the type of variables

Property

Description

Name

Distinct name of the variable. If a variable with the same name already exists in the project, no additional variable can be created with this name.

Maximum length: 128 characters

Attention: The characters # and @ are not permitted in variable names. If non-permitted characters are used, creation of variables cannot be completed and the Finish button remains inactive.
Note: For some drivers, the addressing is possible over the property Symbolic address, as well.

Drivers

Select the desired driver from the drop-down list.

Note: If no driver has been opened in the project, the driver for internal variables (Intern.exe) is automatically loaded.

Driver Object Type

Select the appropriate driver object type from the drop-down list.

Data Type

Select the desired data type. Click on the ... button to open the selection dialog.

Array settings

Expanded settings for array variables. You can find details in the Arrays chapter.

Addressing options

Expanded settings for arrays and structure variables. You can find details in the respective section.

Automatic element activation

Expanded settings for arrays and structure variables. You can find details in the respective section.

Symbolic address

The Symbolic address property can be used for addressing as an alternative to the Name or Identification of the variables. Selection is made in the driver dialog; configuration is carried out in the variable property. When importing variables of supported drivers, the property is entered automatically.

Maximum length: 1024 characters.

Inheritance from data type

Measuring range, Signal range and Set value are always:

  • derived from the datatype
  • Automatically adapted if the data type is changed

Note for signal range: If a change is made to a data type that does not support the set signal range, the signal range is amended automatically. For example, for a change from INT to SINT, the signal range is changed to 127. The amendment is also carried out if the signal range was not inherited from the data type. In this case, the measuring range must be adapted manually.


Addressing

IEC62056 -> Creating variables -> Addressing

Property

Description

Name

Freely definable name.

Attention: For every zenon project the name must be unambiguous.

Identification

The identification field is used for addressing. Example: 1.2.0

Net address

Network address of variable.

This address refers to the bus address in the connection configuration of the driver. This defines the station, on which the variable resides.

Data block

not used for this driver

Offset

not used for this driver

Alignment

not used for this driver

Bit number

not used for this driver

String length

Only available for String variables.
Maximum number of characters that the variable can take.

Driver connection/Driver Object Type

Object type of the variables. Depending on the driver used, is selected when the variable is created and can be changed here.

Driver connection/Data Type

Data type of the variable. Is selected during the creation of the variable; the type can be changed here.

Attention: If you change the data type later, all other properties of the variable must be checked and adjusted, if necessary.

Symbolic address

Character sequence for symbolic address of the variables.

IEC62056 Address

Entry of the OBIS address.


Driver objects and datatypes

IEC62056 -> Creating variables -> Driver objects and datatypes

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Driver objects are areas available in the PLC, such as markers, data blocks etc. Here you can find out which driver objects are provided by the driver and which IEC data types can be assigned to the respective driver objects.

Other topics in this chapter

Driver objects

Mapping of the data types


Driver objects

IEC62056 -> Creating variables -> Driver objects and datatypes -> Driver objects

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following driver object types are available in this driver:

Driver Object Type | Channel type | Read | Write | Supported data types | Description
Input | 10 | X | -- | UDINT, DINT, LREAL, STRING, DATE_AND_TIME |
Clock Sync | 9 | -- | X | BOOL | The net address references the counter/router to which the time is sent
Communication details | 35 | X | X | BOOL, SINT, USINT, INT, UINT, DINT, UDINT, REAL, STRING | Variables for the statistical analysis of communication. You can find detailed information on this in the Communication details (Driver variables) chapter.

Key:

X => supported

-- => not supported


Mapping of the data types

IEC62056 -> Creating variables -> Driver objects and datatypes -> Mapping of the data types

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All variables in zenon are derived from IEC data types. The following table compares the IEC datatypes with the datatypes of the PLC.

PLC | zenon | Data type
- | BOOL | 8
- | USINT | 9
- | SINT | 10
- | UINT | 2
- | INT | 1
UDINT | UDINT | 4
DINT | DINT | 3
- | ULINT | 27
- | LINT | 26
- | REAL | 5
LREAL | LREAL | 6
STRING | STRING | 12
- | WSTRING | 21
- | DATE | 18
- | TIME | 17
DATE_AND_TIME | DATE_AND_TIME | 20
- | TOD (Time of Day) | 19

Data type: The property Data type is the internal numerical name of the data type. It is also used for the extended DBF import/export of the variables.


Driver commands

IEC62056 -> Driver commands

This chapter describes standard functions that are valid for most zenon drivers. Not all functions described here are available for every driver. For example, a driver that does not, according to the data sheet, support a modem connection also does not have any modem functions.

Driver commands are used to influence drivers using zenon; start and stop for example.
The engineering is implemented with the help of function Driver commands. To do this:

  • create a new function
  • select Variables -> Driver commands
  • The dialog for configuration is opened

Parameter

Description

Drivers

Drop-down list with all drivers which are loaded in the project.

Current status

Fixed entry which has no function in the current version.

Driver command

Drop-down list for the selection of the command.
  • Start driver (online mode)

Driver is reinitialized and started.
  • Stop driver (offline mode)

Driver is stopped. No new data is accepted.

Note: If the driver is in offline mode, all variables that were created for this driver receive the status switched off (OFF; Bit 20).

  • Driver in simulation mode

Driver is set into simulation mode.
The values of all variables of the driver are simulated by the driver. No values from the connected hardware (e.g. PLC, bus system, ...) are displayed.
  • Driver in hardware mode

Driver is set into hardware mode.
For the variables of the driver the values from the connected hardware (e.g. PLC, bus system, ...) are displayed.
  • Driver-specific command

Enter driver-specific commands. Opens input field in order to enter a command.
  • Driver - activate set setpoint value

Write set value to a driver is allowed.
  • Driver - deactivate set setpoint value

Write set value to a driver is prohibited.
  • Establish connecton with modem

Establish connection (for modem drivers) Opens the input fields for the hardware address and for the telephone number.
  • Disconnect from modem

Terminate connection (for modem drivers)

Show this dialog in the Runtime

The dialog is shown in Runtime so that changes can be made.

Driver commands in the network

If the computer, on which the driver command function is executed, is part of the zenon network, additional actions are carried out. A special network command is sent from the computer to the project server, which then executes the desired action on its driver. In addition, the Server sends the same driver command to the project standby. The standby also carries out the action on its driver.

This makes sure that Server and Standby are synchronized. This only works if the Server and the Standby both have a working and independent connection to the hardware.


Error analysis

IEC62056 -> Error analysis

Should there be communication problems, this chapter will assist you in finding out the error.

Other topics in this chapter

Analysis tool

Check list


Analysis tool

IEC62056 -> Error analysis -> Analysis tool

All zenon modules such as Editor, Runtime, drivers, etc. write messages to a joint log file. To display them correctly and clearly, use the Diagnosis Viewer program that was also installed with zenon. You can find it under Start/All programs/zenon/Tools 7.60 -> Diagviewer.

zenon driver log all errors in the LOG files. LOG files are text files with a special structure. The default folder for the LOG files is subfolder LOG in the folder ProgramData. For example:

%ProgramData%\COPA-DATA\LOG.

Attention: With the default settings, a driver only logs error information. With the Diagnosis Viewer you can enhance the diagnosis level for most of the drivers to "Debug" and "Deep Debug". With this the driver also logs all other important tasks and events.

In the Diagnosis Viewer you can also:

  • Follow newly-created entries in real time
  • customize the logging settings
  • change the folder in which the LOG files are saved

Note:

  1. The Diagnosis Viewer displays all entries in UTC (coordinated world time) and not in local time.
  2. The Diagnosis Viewer does not display all columns of a LOG file per default. To display more columns activate property Add all columns with entry in the context menu of the column header.
  3. If you only use Error-Logging, the problem description is in the column Error text. For other diagnosis level the description is in the column General text.
  4. For communication problems many drivers also log error numbers which the PLC assigns to them. They are displayed in Error text or Error code or Driver error parameter (1 and 2). Hints on the meaning of error codes can be found in the driver documentation and the protocol/PLC description.
  5. At the end of your test set back the diagnosis level from Debug or Deep Debug. At Debug and Deep Debug there are a great deal of data for logging which are saved to the hard drive and which can influence your system performance. They are still logged even after you close the Diagnosis Viewer.

attention Attention

In Windows CE errors are not logged per default due to performance reasons.

You can find further information on the Diagnosis Viewer in the Diagnose Viewer manual.


Check list

IEC62056 -> Error analysis -> Check list

Is the station connected to the power supply?

Are the participants available in the TCP/IP network

Can the station be reached via the PING command?

Can the station be reached on the corresponding port via TELNET?

Are the station and the PLC connected with the right cable?

Was the right COM port selected?

Do the communication parameters match (Baud rate, parity, start/stop bits,...)

Is the COM port blocked by another application

Did you configure the net address correctly, both in the driver dialog and in the address properties of the variable

Is the correct object type used for the variable?

Does the addressing of the variable match the one in the station?

Use the DiagViewer for further analysis -> Which messages does it show